## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate tui-textarea

Name:           rust-tui-textarea
Version:        0.7.0
Release:        %autorelease
Summary:        Simple yet powerful text editor widget for ratatui and tui-rs

License:        MIT
URL:            https://crates.io/crates/tui-textarea
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop features and dependencies for unused termwiz support
# * drop features and dependencies for unused tui support
# * fix the ratatui dependency to 0.26 for now
Patch:          tui-textarea-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Tui-textarea is a simple yet powerful text editor widget for ratatui and
tui-rs. Multi-line text editor can be easily put as part of your TUI
application.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossterm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossterm-devel %{_description}

This package contains library source intended for building other packages which
use the "crossterm" feature of the "%{crate}" crate.

%files       -n %{name}+crossterm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-backend-devel %{_description}

This package contains library source intended for building other packages which
use the "no-backend" feature of the "%{crate}" crate.

%files       -n %{name}+no-backend-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ratatui-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ratatui-devel %{_description}

This package contains library source intended for building other packages which
use the "ratatui" feature of the "%{crate}" crate.

%files       -n %{name}+ratatui-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+search-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+search-devel %{_description}

This package contains library source intended for building other packages which
use the "search" feature of the "%{crate}" crate.

%files       -n %{name}+search-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termion-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termion-devel %{_description}

This package contains library source intended for building other packages which
use the "termion" feature of the "%{crate}" crate.

%files       -n %{name}+termion-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termion-15-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termion-15-devel %{_description}

This package contains library source intended for building other packages which
use the "termion-15" feature of the "%{crate}" crate.

%files       -n %{name}+termion-15-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# drop termwiz example
rm examples/termwiz.rs
# drop tui examples
rm examples/tuirs_*.rs

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
## START: Generated by rpmautospec
* Mon Jul 21 2025 blinxen <h-k-81@hotmail.com> - 0.7.0-1
- Update to version 0.7.0 (rhbz#2296193)

* Tue Apr 15 2025 Cristian Le <git@lecris.dev> - 0.4.0-6
- Fix the ratatui dependency to 0.26

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Nov 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-3
- Drop unused support for the obsolete tui crate

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue May 14 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Initial import (#2278639)
## END: Generated by rpmautospec
